import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { IConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration.service";
import { IEnvironmentService } from "@codingame/monaco-vscode-api/vscode/vs/platform/environment/common/environment.service";
import { IFileService } from "@codingame/monaco-vscode-api/vscode/vs/platform/files/common/files.service";
import { IUserDataProfilesService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataProfile/common/userDataProfile.service";
import { IResourceRefHandle, SyncResource } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync";
import { IUserDataSyncLogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncLocalStoreService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
export declare class UserDataSyncLocalStoreService extends Disposable implements IUserDataSyncLocalStoreService {
    private readonly environmentService;
    private readonly fileService;
    private readonly configurationService;
    private readonly logService;
    private readonly userDataProfilesService;
    _serviceBrand: any;
    constructor(environmentService: IEnvironmentService, fileService: IFileService, configurationService: IConfigurationService, logService: IUserDataSyncLogService, userDataProfilesService: IUserDataProfilesService);
    private cleanUp;
    getAllResourceRefs(resource: SyncResource, collection?: string, root?: URI): Promise<IResourceRefHandle[]>;
    resolveResourceContent(resourceKey: SyncResource, ref: string, collection?: string, root?: URI): Promise<string | null>;
    writeResource(resourceKey: SyncResource, content: string, cTime: Date, collection?: string, root?: URI): Promise<void>;
    private getResourceBackupHome;
    private cleanUpBackup;
    private getCreationTime;
}
