import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { IEnvironmentService } from "@codingame/monaco-vscode-api/vscode/vs/platform/environment/common/environment.service";
import { IFileService } from "@codingame/monaco-vscode-api/vscode/vs/platform/files/common/files.service";
import { IStorageService } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage.service";
import { IUriIdentityService } from "@codingame/monaco-vscode-api/vscode/vs/platform/uriIdentity/common/uriIdentity.service";
import { ISyncResourceHandle, SyncResource, ISyncUserDataProfile, IUserDataSyncResource } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync";
import { IUserDataSyncLogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncResourceProviderService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncLocalStoreService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataSyncStoreService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IUserDataProfilesService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataProfile/common/userDataProfile.service";
import { IConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration.service";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { IUserDataSyncMachine } from "@codingame/monaco-vscode-a2719803-af40-5ae9-a29f-8a2231c33056-common/vscode/vs/platform/userDataSync/common/userDataSyncMachines";
export declare class UserDataSyncResourceProviderService implements IUserDataSyncResourceProviderService {
    private readonly userDataSyncStoreService;
    private readonly userDataSyncLocalStoreService;
    protected readonly logService: IUserDataSyncLogService;
    private readonly environmentService;
    private readonly storageService;
    private readonly fileService;
    private readonly userDataProfilesService;
    private readonly configurationService;
    private readonly instantiationService;
    _serviceBrand: any;
    private static readonly NOT_EXISTING_RESOURCE;
    private static readonly REMOTE_BACKUP_AUTHORITY;
    private static readonly LOCAL_BACKUP_AUTHORITY;
    private readonly extUri;
    constructor(userDataSyncStoreService: IUserDataSyncStoreService, userDataSyncLocalStoreService: IUserDataSyncLocalStoreService, logService: IUserDataSyncLogService, uriIdentityService: IUriIdentityService, environmentService: IEnvironmentService, storageService: IStorageService, fileService: IFileService, userDataProfilesService: IUserDataProfilesService, configurationService: IConfigurationService, instantiationService: IInstantiationService);
    getRemoteSyncedProfiles(): Promise<ISyncUserDataProfile[]>;
    getLocalSyncedProfiles(location?: URI): Promise<ISyncUserDataProfile[]>;
    getLocalSyncedMachines(location?: URI): Promise<IUserDataSyncMachine[]>;
    getRemoteSyncResourceHandles(syncResource: SyncResource, profile?: ISyncUserDataProfile): Promise<ISyncResourceHandle[]>;
    getLocalSyncResourceHandles(syncResource: SyncResource, profile?: ISyncUserDataProfile, location?: URI): Promise<ISyncResourceHandle[]>;
    resolveUserDataSyncResource({ uri }: ISyncResourceHandle): IUserDataSyncResource | undefined;
    getAssociatedResources({ uri }: ISyncResourceHandle): Promise<{
        resource: URI;
        comparableResource: URI;
    }[]>;
    getMachineId({ uri }: ISyncResourceHandle): Promise<string | undefined>;
    resolveContent(uri: URI): Promise<string | null>;
    private getContentFromStore;
    private resolveNodeContent;
    private resolveLatestContent;
    private getSettingsAssociatedResources;
    private resolveSettingsNodeContent;
    private getKeybindingsAssociatedResources;
    private resolveKeybindingsNodeContent;
    private getTasksAssociatedResources;
    private resolveTasksNodeContent;
    private getSnippetsAssociatedResources;
    private resolveSnippetsNodeContent;
    private getPromptsAssociatedResources;
    private resolvePromptsNodeContent;
    private getExtensionsAssociatedResources;
    private resolveExtensionsNodeContent;
    private resolveLatestExtensionsContent;
    private getGlobalStateAssociatedResources;
    private resolveGlobalStateNodeContent;
    private resolveLatestGlobalStateContent;
    private getProfilesAssociatedResources;
    private resolveProfileNodeContent;
    private resolveLatestProfilesContent;
    private toUri;
    private resolveUri;
    private parseSyncData;
    private getUserData;
}
